/*
 * CC-Metrics -- Call Center Metrics from Asterisk PBX
 * By: Cyril Lacoux <clacoux@easter-eggs.com>
 *
 * Copyright (C) 2014-2015 Enercoop, Easter-eggs
 * https://gitlab.easter-eggs.com/ee/cc-metrics
 *
 * This file is part of CC-Metrics.
 *
 * CC-Metrics is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * CC-Metrics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/*
 * CC-Metrics initialization
 */
ccmetrics.ready(function() {
    // Inputs
    var internal = $('#filters-internal').val();
    var src = $('#filters-src').val();
    var wsParams = {
        internal: internal
    };

    if (src) {
        wsParams.src = src;
    }

    initCharts(wsParams);
});


$(document).ready(function() {
    // Automatic submit
    $('#filters-internal, #filters-src').bind('change', function(event) { this.form.submit(); });
});
